Bug 1473145 - Wrong allocation value after virDomainBlockCopy() (alloc=capacity)
Wrong allocation value after virDomainBlockCopy() (alloc=capacity)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Kevin Wolf
Avihai
: Regression, ZStream
Depends On: 1470634
Blocks: 1461536
  Show dependency treegraph
 
Reported: 2017-07-20 02:25 EDT by Oneata Mircea Teodor
Modified: 2017-08-01 19:25 EDT (History)
32 users (show)

See Also:
Fixed In Version: qemu-kvm-rhev-2.9.0-16.el7_4.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1470634
Environment:
Last Closed: 2017-08-01 19:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3132861 None None None 2017-07-31 13:08 EDT

  None (edit)
Description Oneata Mircea Teodor 2017-07-20 02:25:20 EDT
This bug has been copied from bug #1470634 and has been proposed to be backported to 7.4 z-stream (EUS).
Comment 6 Miroslav Rezanina 2017-07-20 13:58:35 EDT
Fix included in qemu-kvm-rhev-2.9.0-16.el7_4.3
Comment 14 Qianqian Zhu 2017-07-26 02:54:14 EDT
Verified from qemu-kvm-rhev side:

Version:
qemu-kvm-rhev-2.9.0-16.el7_4.3.x86_64

Steps:
1. Launch guest with a secondary disk:

/usr/libexec/qemu-kvm -name rhel7_4 -m 1G -smp 2  -drive file=/home/kvm_autotest_root/images/rhel74-64-virtio.qcow2,format=qcow2,id=drive_image1,if=none,cache=none,media=disk -device virtio-blk-pci,drive=drive_image1,id=virtio-blk-0,bootindex=0 -qmp stdio -vnc :3 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=70:e2:84:14:0e:15 \
-drive file=/home/test.raw,id=drive_image2,format=raw,if=none,cache=none,media=disk -device virtio-blk-pci,drive=drive_image2,id=virtio-blk-1

2. Live snapshot:
{ "execute": "blockdev-snapshot-sync", "arguments": { "device": "drive_image2","snapshot-file": "/home/sn1", "format": "qcow2", "mode": "absolute-paths" } }

3. Drive mirror with option sync=top
{ "execute": "drive-mirror", "arguments": { "device": "drive_image2", "target":"/home/mirror.qcow2", "sync":"top", "mode": "existing"}}

4. Query block and check the information of drive_image2.

Result: 
No extra node added and the backing_file_depth keep to 1:

{"device": "drive_image2",
"inserted": {
        "image": {
                "backing-image": {
                        "virtual-size": 104857600, 
                        "filename": "/home/test.raw",
                        "format": "raw", 
                        "actual-size": 0,
                        }
                "backing-filename-format": "raw",
                "virtual-size": 104857600,
                "filename": "/home/sn1",
                "cluster-size": 65536,
                "format": "qcow2", 
                "actual-size": 200704, 
                "full-backing-filename": "/home/test.raw",
                "backing-filename": "/home/test.raw",
                } 
        "node-name": "#block1002",
        "backing_file_depth": 1,
        "drv": "qcow2", 
        "backing_file": "/home/test.raw",
        "file": "/home/sn1", 
        }
}
Comment 17 errata-xmlrpc 2017-08-01 19:25:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2390

Note You need to log in before you can comment on or make changes to this bug.